[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CMMouseEnter

Handles a CM_MOUSEENTER message for the control.

## Declaration

Source position: controls.pp line 1445

`protected procedure TControl.CMMouseEnter(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMMouseEnter ensures that the MouseInClient property is updated when the mouse pointer enters the client area for the control. No actions are performed in the method if MouseInClient is already set to True on entry.

CMMouseEnter calls Perform to broadcast the CM_MOUSEENTER message to the Parent and ancestor controls (when assigned). If the Message is not a child message, the MouseEnter method is called to signal the OnMouseEnter event handler (when assigned).

## See also

TControl.MouseInClient |  | True when the mouse is in the client area for the control.
TControl.Parent |  | The control within which the control is shown.
TControl.Perform |  | Calls a message handler directly, bypassing the message queue.
TControl.MouseEnter |  | Signals the OnMouseEnter event handler (when assigned).
TControl.OnMouseEnter |  | Event handler signalled when the mouse pointer has entered the control.
TLMessage |  |